Bug 143389 - [RFE] additional repo-tag for multiple repos
[RFE] additional repo-tag for multiple repos
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-20 05:35 EST by shrek-m
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-29 00:59:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shrek-m 2004-12-20 05:35:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20041020

Description of problem:
could it be possible to add a repo-tag in this way
vendor?  .  release?  .  repo?  .  class = system-config-packages?

eg.  "redhat . fedora core 3 . base"
rh.fc3.base.server
rh.fc3.base.system
rh.fc3.base.games

eg.  "fedora us . fedora extras 3"
fdrus.fe3.server
fdrus.fe3.system
fdrus.fe3.games 

eg.  "freshrpms.net . fedora extras 3"
frn.fe3.server
frn.fe3.system
frn.fe3.games

Version-Release number of selected component (if applicable):
rpm-4.3.2-21 (fc3, not rawhide)

How reproducible:
Sometimes

Steps to Reproduce:
see the thread "Fedora Project launches Pre-Extras"
eg. https://www.redhat.com/archives/fedora-test-list/2004-December/msg00549.html

Actual Results:  https://www.redhat.com/archives/fedora-test-list/2004-December/msg00577.html
follow up, seth vidal:
"I beg to differ, this whole thread has been about the future. How things
are done, in the future, for fedora extras.

That's what everything we discuss is about. There's no use talking about
things unless it's about positive change for the future."

Additional info:

brainstorming:

- foo-repository:
$ rpm -q --qf "%{name} %{repository}\n"  foo
foo  rh.fc3.base.games

- repository-url:
$ rpm -q --qf "%{repositoryurl}\n"  rh.fc3.base
[base]
name=Fedora Core $releasever - $basearch - Base
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/$releasever/$basearch/os/
mirrorlist=http://fedora.redhat.com/download/mirrors/fedora-core-$releasever
enabled=1
gpgcheck=1

- settings via rpm
# rpm --set repositoryurl=rh.fc3.base=enabled=0

- repository-update:
# yum update --repository  rh.fc3.base.games

- repository-packages-list  (r=repository)
$ rpm -qlr  rh.fc3.base
foo
bar
[...]

- repository-info
$ rpm -qir  rh.fc3.base
Comment 1 Jeff Johnson 2004-12-29 00:59:32 EST
rpm-4.4 has Disttag: (reluctantly, I do not believe Disttag: is
useful or viable).

So it's not the rpm implementation that is preventing repository
markers in packages.

Note You need to log in before you can comment on or make changes to this bug.